Airwallex logo

Connected Account Transfers

Copy for LLMView as Markdown

A Connected Account Transfer can be used to send funds directly from a Platform Account or Connected Account to another Account connected to the same platform. Destination Connected Account must have passed KYC and be in state ACTIVE.

Endpoints
POST /api/v1/connected_account_transfers/create
GET /api/v1/connected_account_transfers/{id}
GET /api/v1/connected_account_transfers

Create a Connected Account Transfer

POST /api/v1/connected_account_transfers/create

Initiate a new connected account transfer to send funds from your Airwallex account to a connected account. Your Airwallex balance must cover the transfer amount or you will receive an “Insufficient Funds” error message.

Request body
amountrequiredstring

Amount of the transfer in currency, representing how much to transfer.

currencyrequiredstring

Currency (3-letter ISO-4217 code).

destinationrequiredstring

Airwallex account unique identifier.

reasonrequiredstring

Reason for the transfer instruction. One of: wages_salary, donation_charitable_contribution, personal_remittance, transfer_to_own_account, pension, family_support, living_expenses, education_training, travel, investment_proceeds, investment_capital, loan_credit_repayment, taxes, goods_purchased, business_expenses, medical_services, professional_business_services, technical_services, other_services, construction, freight, real_estate.

referencerequiredstring

User specified reference that will be displayed to the beneficiary. 1-140 characters long.

request_idrequiredstring

Unique request identifier. 1-50 characters long.

additional_infoobject

Additional information about the transaction.

additional_info.card_payment_dataobject

Additional information about the card payment funding the connected account transfer.

additional_info.card_payment_data.amountstring

The payment amount for this transaction.

additional_info.card_payment_data.brandstring

The card brand. Possible enum values:

MASTERCARD
VISA
UNION_PAY
AMERICAN_EXPRESS
JCB
DISCOVER
DINERS_CLUB_INTERNATIONAL
additional_info.card_payment_data.card_issuing_countrystring

Country code where the card was issued (e.g., US, GB, CN).

additional_info.card_payment_data.card_tokenstring

A unique token (GUID) representing the customer’s card number.

additional_info.card_payment_data.card_typestring

The card type. Possible enum values:

CREDIT
DEBIT
PREPAID
additional_info.card_payment_data.cardholder_namestring

The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.

additional_info.card_payment_data.created_atstring

The timestamp when the customer created the payment transaction.

additional_info.card_payment_data.deposit_idstring

The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.

additional_info.card_payment_data.ip_addressstring

IP address (IPv4 or IPv6) of the payer’s device at the time of payment.

additional_info.card_payment_data.payment_methodstring

The payment method used for this transaction. Possible enum values:

APPLE_PAY
GOOGLE_PAY
CARD_ON_FILE
additional_info.card_payment_data.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:

ATTEMPTED
AUTHENTICATED
FAILED
NOT_APPLICABLE
NOT_REQUESTED
additional_info.merchant_dataobject

Structured merchant information for nested-flow transfers.

additional_info.merchant_data.business_namestring

The merchant's official legal name.

additional_info.merchant_data.business_registration_datestring

The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.

additional_info.merchant_data.business_registration_numberstring

The merchant's Business Registration Number (BRN) or equivalent identifier.

additional_info.merchant_data.business_trading_namestring

The merchant's trading or DBA (doing business as) name.

additional_info.merchant_data.industry_category_codestring

The merchant's industry category code.

additional_info.merchant_data.merchant_identifierstring

The merchant's unique identifier on the platform.

additional_info.merchant_data.registration_countrystring

The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.

additional_info.merchant_data.store_urlsarray

The merchant's store URL(s).

Response body - 201 Created
additional_infoobject

Additional information about the transaction.

additional_info.card_payment_dataobject

Additional information about the card payment funding the connected account transfer.

additional_info.card_payment_data.amountstring

The payment amount for this transaction.

additional_info.card_payment_data.brandstring

The card brand. Possible enum values:

MASTERCARD
VISA
UNION_PAY
AMERICAN_EXPRESS
JCB
DISCOVER
DINERS_CLUB_INTERNATIONAL
additional_info.card_payment_data.card_issuing_countrystring

Country code where the card was issued (e.g., US, GB, CN).

additional_info.card_payment_data.card_tokenstring

A unique token (GUID) representing the customer’s card number.

additional_info.card_payment_data.card_typestring

The card type. Possible enum values:

CREDIT
DEBIT
PREPAID
additional_info.card_payment_data.cardholder_namestring

The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.

additional_info.card_payment_data.created_atstring

The timestamp when the customer created the payment transaction.

additional_info.card_payment_data.deposit_idstring

The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.

additional_info.card_payment_data.ip_addressstring

IP address (IPv4 or IPv6) of the payer’s device at the time of payment.

additional_info.card_payment_data.payment_methodstring

The payment method used for this transaction. Possible enum values:

APPLE_PAY
GOOGLE_PAY
CARD_ON_FILE
additional_info.card_payment_data.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:

ATTEMPTED
AUTHENTICATED
FAILED
NOT_APPLICABLE
NOT_REQUESTED
additional_info.merchant_dataobject

Structured merchant information for nested-flow transfers.

additional_info.merchant_data.business_namestring

The merchant's official legal name.

additional_info.merchant_data.business_registration_datestring

The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.

additional_info.merchant_data.business_registration_numberstring

The merchant's Business Registration Number (BRN) or equivalent identifier.

additional_info.merchant_data.business_trading_namestring

The merchant's trading or DBA (doing business as) name.

additional_info.merchant_data.industry_category_codestring

The merchant's industry category code.

additional_info.merchant_data.merchant_identifierstring

The merchant's unique identifier on the platform.

additional_info.merchant_data.registration_countrystring

The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.

additional_info.merchant_data.store_urlsarray

The merchant's store URL(s).

amountnumber

Amount of the transfer in currency specified in the request

created_atstring

The time this transfer was created

currencystring

Currency (3-letter ISO-4217 code) specified in the request

destinationstring

Airwallex account unique identifier specified in the request

failure_reasonsarray

List of failure reason codes when status is FAILED

feenumber

Fee of the transfer in currency specified in the request

idstring

Unique identifier for the transfer

reasonstring

Reason for the transfer instruction specified in the request

referencestring

User specified reference that will be displayed to the beneficiary specified in the request

request_idstring

Unique request identifier specified in the request

short_reference_idstring

Short reference for support purposes

statusstring

Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED

updated_atstring

The time this transfer was updated

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument, insufficient_fund, validation_failed, request_id_duplicate, bad_request

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

POST /api/v1/connected_account_transfers/create
$curl --request POST \
> --url 'https://api.sandbox.airwallex.com/api/v1/connected_account_transfers/create' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json' \
> --data '{
> "additional_info": {
> "card_payment_data": {
> "amount": "<string>",
> "brand": "MASTERCARD",
> "card_issuing_country": "<string>",
> "card_token": "<string>",
> "card_type": "CREDIT",
> "cardholder_name": "<string>",
> "created_at": "<string>",
> "deposit_id": "<string>",
> "ip_address": "<string>",
> "payment_method": "APPLE_PAY",
> "three_dsecure_outcome": "ATTEMPTED"
> },
> "merchant_data": {
> "business_name": "<string>",
> "business_registration_date": "<string>",
> "business_registration_number": "<string>",
> "business_trading_name": "<string>",
> "industry_category_code": "<string>",
> "merchant_identifier": "<string>",
> "registration_country": "<string>",
> "store_urls": []
> }
> },
> "amount": "10000",
> "currency": "AUD",
> "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",
> "reason": "travel",
> "reference": "PMT1936398",
> "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2"
>}'
Response (201 Created)
1{
2 "additional_info": {
3 "card_payment_data": {
4 "amount": "<string>",
5 "brand": "MASTERCARD",
6 "card_issuing_country": "<string>",
7 "card_token": "<string>",
8 "card_type": "CREDIT",
9 "cardholder_name": "<string>",
10 "created_at": "<string>",
11 "deposit_id": "<string>",
12 "ip_address": "<string>",
13 "payment_method": "APPLE_PAY",
14 "three_dsecure_outcome": "ATTEMPTED"
15 },
16 "merchant_data": {
17 "business_name": "<string>",
18 "business_registration_date": "<string>",
19 "business_registration_number": "<string>",
20 "business_trading_name": "<string>",
21 "industry_category_code": "<string>",
22 "merchant_identifier": "<string>",
23 "registration_country": "<string>",
24 "store_urls": []
25 }
26 },
27 "amount": "10000",
28 "created_at": "2018-03-22T16:08:02+1100",
29 "currency": "AUD",
30 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",
31 "failure_reasons": [
32 "EXPIRED_TRANSACTION_RFI_PAYER",
33 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",
34 "DORMANCY_KYC_NO_RESPONSE_PAYER",
35 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",
36 "WEBSITE_KYC_NO_RESPONSE_PAYER",
37 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",
38 "WATCHLIST_RESTRICTION_PAYER",
39 "WATCHLIST_RESTRICTION_BENEFICIARY",
40 "OTHER_HIGH_RISK_PAYER",
41 "OTHER_HIGH_RISK_BENEFICIARY"
42 ],
43 "fee": 10,
44 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
45 "reason": "travel",
46 "reference": "PMT1936398",
47 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
48 "short_reference_id": "D220926-QZ7BTZE",
49 "status": "NEW",
50 "updated_at": "2018-03-22T16:08:02+1100"
51}
Was this section helpful?

Retrieve a Connected Account Transfer

GET /api/v1/connected_account_transfers/{id}

Get transaction details for a connected account transfer by specifying the transfer unique identifier.

Parameters
idrequiredstring

Unique identifier of the connected account transfer to retrieve.

Response body - 200 OK
additional_infoobject

Additional information about the transaction.

additional_info.card_payment_dataobject

Additional information about the card payment funding the connected account transfer.

additional_info.card_payment_data.amountstring

The payment amount for this transaction.

additional_info.card_payment_data.brandstring

The card brand. Possible enum values:

MASTERCARD
VISA
UNION_PAY
AMERICAN_EXPRESS
JCB
DISCOVER
DINERS_CLUB_INTERNATIONAL
additional_info.card_payment_data.card_issuing_countrystring

Country code where the card was issued (e.g., US, GB, CN).

additional_info.card_payment_data.card_tokenstring

A unique token (GUID) representing the customer’s card number.

additional_info.card_payment_data.card_typestring

The card type. Possible enum values:

CREDIT
DEBIT
PREPAID
additional_info.card_payment_data.cardholder_namestring

The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.

additional_info.card_payment_data.created_atstring

The timestamp when the customer created the payment transaction.

additional_info.card_payment_data.deposit_idstring

The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.

additional_info.card_payment_data.ip_addressstring

IP address (IPv4 or IPv6) of the payer’s device at the time of payment.

additional_info.card_payment_data.payment_methodstring

The payment method used for this transaction. Possible enum values:

APPLE_PAY
GOOGLE_PAY
CARD_ON_FILE
additional_info.card_payment_data.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:

ATTEMPTED
AUTHENTICATED
FAILED
NOT_APPLICABLE
NOT_REQUESTED
additional_info.merchant_dataobject

Structured merchant information for nested-flow transfers.

additional_info.merchant_data.business_namestring

The merchant's official legal name.

additional_info.merchant_data.business_registration_datestring

The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.

additional_info.merchant_data.business_registration_numberstring

The merchant's Business Registration Number (BRN) or equivalent identifier.

additional_info.merchant_data.business_trading_namestring

The merchant's trading or DBA (doing business as) name.

additional_info.merchant_data.industry_category_codestring

The merchant's industry category code.

additional_info.merchant_data.merchant_identifierstring

The merchant's unique identifier on the platform.

additional_info.merchant_data.registration_countrystring

The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.

additional_info.merchant_data.store_urlsarray

The merchant's store URL(s).

amountnumber

Amount of the transfer in currency specified in the request

created_atstring

The time this transfer was created

currencystring

Currency (3-letter ISO-4217 code) specified in the request

destinationstring

Airwallex account unique identifier specified in the request

failure_reasonsarray

List of failure reason codes when status is FAILED

feenumber

Fee of the transfer in currency specified in the request

idstring

Unique identifier for the transfer

reasonstring

Reason for the transfer instruction specified in the request

referencestring

User specified reference that will be displayed to the beneficiary specified in the request

request_idstring

Unique request identifier specified in the request

short_reference_idstring

Short reference for support purposes

statusstring

Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED

updated_atstring

The time this transfer was updated

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/connected_account_transfers/{id}
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/connected_account_transfers/connected_account_transfer_id' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "additional_info": {
3 "card_payment_data": {
4 "amount": "<string>",
5 "brand": "MASTERCARD",
6 "card_issuing_country": "<string>",
7 "card_token": "<string>",
8 "card_type": "CREDIT",
9 "cardholder_name": "<string>",
10 "created_at": "<string>",
11 "deposit_id": "<string>",
12 "ip_address": "<string>",
13 "payment_method": "APPLE_PAY",
14 "three_dsecure_outcome": "ATTEMPTED"
15 }
16 },
17 "amount": 10000,
18 "created_at": "2018-03-22T16:08:02+1100",
19 "currency": "AUD",
20 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",
21 "failure_reasons": [
22 "EXPIRED_TRANSACTION_RFI_PAYER",
23 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",
24 "DORMANCY_KYC_NO_RESPONSE_PAYER",
25 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",
26 "WEBSITE_KYC_NO_RESPONSE_PAYER",
27 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",
28 "WATCHLIST_RESTRICTION_PAYER",
29 "WATCHLIST_RESTRICTION_BENEFICIARY",
30 "OTHER_HIGH_RISK_PAYER",
31 "OTHER_HIGH_RISK_BENEFICIARY"
32 ],
33 "fee": 10,
34 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
35 "reason": "travel",
36 "reference": "PMT1936398",
37 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
38 "short_reference_id": "D220926-QZ7BTZE",
39 "status": "NEW",
40 "updated_at": "2018-03-22T16:08:02+1100"
41}
Was this section helpful?

List all Connected Account Transfers

GET /api/v1/connected_account_transfers

Get a list of connected account transfers created by your Airwallex account. The transfers returned are sorted by creation time.

Parameters
currencystring

Currency (3-letter ISO-4217 code).

destinationstring

Airwallex account unique identifier.

from_created_atstring

The start date of created_at in ISO8601 format (inclusive).

page_numinteger

Page number, starts from 0.

page_sizeinteger

Number of results per page. Default value is 100, minimum 10, maximum 2000.

request_idstring

Transfer request_id.

statusstring

Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED.

to_created_atstring

The end date of created_at in ISO8601 format (inclusive).

Response body - 200 OK
has_moreboolean

A flag which identifies whether there are more results.

itemsarray

Paged results.

items.amountnumber

Amount of the transfer in currency specified in the request

items.created_atstring

The time this transfer was created

items.currencystring

Currency (3-letter ISO-4217 code) specified in the request

items.destinationstring

Airwallex account unique identifier specified in the request

items.feenumber

Fee of the transfer in currency specified in the request

items.idstring

Unique identifier for the transfer

items.reasonstring

Reason for the transfer instruction specified in the request

items.referencestring

User specified reference that will be displayed to the beneficiary specified in the request

items.request_idstring

Unique request identifier specified in the request

items.short_reference_idstring

Short reference for support purposes

items.statusstring

Status of the transfer. One of: NEW, SETTLED, PENDING, SUSPENDED, FAILED

items.updated_atstring

The time this transfer was updated

items.additional_infoobject

Additional information about the transaction.

items.additional_info.card_payment_dataobject

Additional information about the card payment funding the connected account transfer.

items.additional_info.card_payment_data.amountstring

The payment amount for this transaction.

items.additional_info.card_payment_data.brandstring

The card brand. Possible enum values:

MASTERCARD
VISA
UNION_PAY
AMERICAN_EXPRESS
JCB
DISCOVER
DINERS_CLUB_INTERNATIONAL
items.additional_info.card_payment_data.card_issuing_countrystring

Country code where the card was issued (e.g., US, GB, CN).

items.additional_info.card_payment_data.card_tokenstring

A unique token (GUID) representing the customer’s card number.

items.additional_info.card_payment_data.card_typestring

The card type. Possible enum values:

CREDIT
DEBIT
PREPAID
items.additional_info.card_payment_data.cardholder_namestring

The cardholder's name. Not applicable to APPLE_PAY and GOOGLE_PAY.

items.additional_info.card_payment_data.created_atstring

The timestamp when the customer created the payment transaction.

items.additional_info.card_payment_data.deposit_idstring

The unique identifier of the deposit that corresponds to the settlement into Airwallex's Global Account.

items.additional_info.card_payment_data.ip_addressstring

IP address (IPv4 or IPv6) of the payer’s device at the time of payment.

items.additional_info.card_payment_data.payment_methodstring

The payment method used for this transaction. Possible enum values:

APPLE_PAY
GOOGLE_PAY
CARD_ON_FILE
items.additional_info.card_payment_data.three_dsecure_outcomestring

The outcome of a 3D Secure authentication process, which verifies the identity of a cardholder during an online purchase. Possible enum values:

ATTEMPTED
AUTHENTICATED
FAILED
NOT_APPLICABLE
NOT_REQUESTED
items.additional_info.merchant_dataobject

Structured merchant information for nested-flow transfers.

items.additional_info.merchant_data.business_namestring

The merchant's official legal name.

items.additional_info.merchant_data.business_registration_datestring

The date when the merchant's business was registered, in YYYY-MM-DD format. For example, 2025-03-15.

items.additional_info.merchant_data.business_registration_numberstring

The merchant's Business Registration Number (BRN) or equivalent identifier.

items.additional_info.merchant_data.business_trading_namestring

The merchant's trading or DBA (doing business as) name.

items.additional_info.merchant_data.industry_category_codestring

The merchant's industry category code.

items.additional_info.merchant_data.merchant_identifierstring

The merchant's unique identifier on the platform.

items.additional_info.merchant_data.registration_countrystring

The merchant's country of registration in ISO 3166-1 alpha-2 format. For example, CN or HK.

items.additional_info.merchant_data.store_urlsarray

The merchant's store URL(s).

items.failure_reasonsarray

List of failure reason codes when status is FAILED

Errors
Error statusDescription
400

Possible errors: field_required, invalid_argument

401

Possible errors: credentials_invalid, credentials_expired

429

Too many requests

500

Service unavailable

GET /api/v1/connected_account_transfers
$curl --request GET \
> --url 'https://api.sandbox.airwallex.com/api/v1/connected_account_transfers' \
> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \
> --header 'Content-Type: application/json'
Response (200 OK)
1{
2 "has_more": false,
3 "items": [
4 {
5 "amount": 10000,
6 "created_at": "2018-03-22T16:08:02+1100",
7 "currency": "AUD",
8 "destination": "acct_DjU6FcdYPYy6MEJsU0JAPg",
9 "failure_reasons": [
10 "EXPIRED_TRANSACTION_RFI_PAYER",
11 "EXPIRED_TRANSACTION_RFI_BENEFICIARY",
12 "DORMANCY_KYC_NO_RESPONSE_PAYER",
13 "DORMANCY_KYC_NO_RESPONSE_BENEFICIARY",
14 "WEBSITE_KYC_NO_RESPONSE_PAYER",
15 "WEBSITE_KYC_NO_RESPONSE_BENEFICIARY",
16 "WATCHLIST_RESTRICTION_PAYER",
17 "WATCHLIST_RESTRICTION_BENEFICIARY",
18 "OTHER_HIGH_RISK_PAYER",
19 "OTHER_HIGH_RISK_BENEFICIARY"
20 ],
21 "fee": 10,
22 "id": "d9af1614-a6a1-4d45-aae7-6858fc6d9ede",
23 "reason": "travel",
24 "reference": "PMT1936398",
25 "request_id": "7f687fe6-dcf4-4462-92fa-80335301d9d2",
26 "short_reference_id": "D220926-QZ7BTZE",
27 "status": "NEW",
28 "updated_at": "2018-03-22T16:08:02+1100"
29 }
30 ]
31}
Was this section helpful?